# ================================================================

use strict;

# ================================================================

require $main::iScriptBase.'Function_Shared.pl';

# ================================================================

require $main::iScriptBase.'version.txt';

# ================================================================

my($tAcceptLanguage)=$ENV{'HTTP_ACCEPT_LANGUAGE'};

if(&isContained($tAcceptLanguage,'ja'))
{
	require $main::iScriptBase.'Language_ja.txt';
}
elsif(&isContained($tAcceptLanguage,'en'))
{
	require $main::iScriptBase.'Language_en.txt';
}
else
{
	require $main::iScriptBase.'Language_en.txt';
}

# ================================================================

our($iQuery_action)   = 'action';
our($iQuery_address)  = 'address';
our($iQuery_agent)    = 'agent';
our($iQuery_eznumber) = 'eznumber';
our($iQuery_id)       = 'id';
our($iQuery_message)  = 'message';
our($iQuery_public)   = 'public';
our($iQuery_rating)   = 'rating';
our($iQuery_referer)  = 'referer';
our($iQuery_reply)    = 'reply';
our($iQuery_target)   = 'target';
our($iQuery_time)     = 'time';

# ================================================================

our($iAction_display_about)         = 'display_about';
our($iAction_display_filtered_list) = 'display_filtered_list';
our($iAction_display_list)          = 'display_list';
our($iAction_display_update)        = 'display_update';
our($iAction_execute_delete)        = 'execute_delete';
our($iAction_execute_delete_list)   = 'execute_delete_list';
our($iAction_execute_download)      = 'execute_download';
our($iAction_execute_update)        = 'execute_update';
our($iAction_execute_update_list)   = 'execute_update_list';

# ================================================================

our($gHeader)='';
our($gBody)='';

our($gURL)=&getScriptURL();

our(%gQueryURL)=&getURLQueryEntries(0);
our(%gQueryPost)=&getPostQueryEntries(0);

my($tAction)=$gQueryURL{$iQuery_action};

if(&isSame($tAction,''))
{
	require $main::iScriptBase.'Module_display_list.pl';
}
elsif(&isSame($tAction,$iAction_display_about))
{
	require $main::iScriptBase.'Module_display_about.pl';
}
elsif(&isSame($tAction,$iAction_display_filtered_list))
{
	require $main::iScriptBase.'Module_display_filtered_list.pl';
}
elsif(&isSame($tAction,$iAction_display_list))
{
	require $main::iScriptBase.'Module_display_list.pl';
}
elsif(&isSame($tAction,$iAction_display_update))
{
	require $main::iScriptBase.'Module_display_update.pl';
}
elsif(&isSame($tAction,$iAction_execute_delete))
{
	require $main::iScriptBase.'Module_execute_delete.pl';
}
elsif(&isSame($tAction,$iAction_execute_delete_list))
{
	require $main::iScriptBase.'Module_execute_delete_list.pl';
}
elsif(&isSame($tAction,$iAction_execute_download))
{
	require $main::iScriptBase.'Module_execute_download.pl';
}
elsif(&isSame($tAction,$iAction_execute_update))
{
	require $main::iScriptBase.'Module_execute_update.pl';
}
elsif(&isSame($tAction,$iAction_execute_update_list))
{
	require $main::iScriptBase.'Module_execute_update_list.pl';
}
else
{
	$gHeader.=&getHTTPResponse200Header();
	$gHeader.=&getHTTPContentHeader($main::lContentLanguage,$main::lCharset);

	$gBody.=&getHTMLDocumentOpen($main::iTitle,$main::lContentLanguage,$main::lCharset,\@main::iCSSFile);
	$gBody.=&getHTMLUnknownAction();
	$gBody.=&getHTMLDocumentCloseWithApplicationVersion($main::iApplicationName,$main::iApplicationVersion,$main::iLibraryVersion);
}

&printResponseCache($gHeader,$gBody);

# ================================================================

1;
